Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158599 - rquotad doesn't handle -p option correctly.
Summary: rquotad doesn't handle -p option correctly.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: quota
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Brock Organ
URL:
Whiteboard: RHEL3U7NAK
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2005-05-23 20:45 UTC by David Milburn
Modified: 2010-12-02 12:49 UTC (History)
3 users (show)

Fixed In Version: RHBA-2006-0353
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:53:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch to fix problem. (deleted)
2005-05-23 20:47 UTC, David Milburn
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0353 normal SHIPPED_LIVE quota bug fix update 2006-07-19 19:04:00 UTC

Description David Milburn 2005-05-23 20:45:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
The remote quota server doesn't handle the -p option
correctly, needs code present in quota-3.12-5 (rhel4)
to correctly convert values between host and network.

Version-Release number of selected component (if applicable):
quota-3.10-7

How reproducible:
Always

Steps to Reproduce:
1. Edit /etc/init.d/nfs to pass the -p option to rquotad.
   daemon rpc.rquotad -p 666 
2. service nfs start
3. rpcinfo -p | grep rquotad
  

Actual Results:  # rpcinfo -p | grep rquotad
   100011    1   udp  39426  rquotad
   100011    2   udp  39426  rquotad
   100011    1   tcp  39426  rquotad
   100011    2   tcp  39426  rquotad

Expected Results:   rpcinfo -p | grep rquotad
   100011    1   udp    666  rquotad
   100011    2   udp    666  rquotad
   100011    1   tcp    666  rquotad
   100011    2   tcp    666  rquotad

Additional info:

Comment 1 David Milburn 2005-05-23 20:47:51 UTC
Created attachment 114744 [details]
Patch to fix problem.

Comment 2 Steve Dickson 2005-10-13 14:52:38 UTC
Fixed in quota-3.10-8 

Comment 14 Red Hat Bugzilla 2006-07-20 14:53:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0353.html



Note You need to log in before you can comment on or make changes to this bug.